Rails.application.routes.draw do

  locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
    namespace :admin do 
      resources :recruitments do
        collection do
          get "industries"
          get "categories"
          get "addindustry"
          post "createindustry"
          get "member_management"
          get "addcategory"
          post "createcategory"
          get "postings"
          get "load_chart"
        end
        member do
          delete "deleteindustry"
          get "editindustry"
          patch "updateindustry"
          delete "delete_user"
          delete "deletecategory"
          get "editcategory"
          patch "updatecategory"
          get "applications"
          get "show_member"
          get "member_applications"
          get "company_postings"
        end
      end
    end
    scope "recruit" do 
      get "/firstruncheck", to: "recruitments#firstruncheck"
      get "/select_profile", to: "recruitments#select_profile"
      get "/newprofile", to: "recruitments#newprofile"
      get "/editprofile", to: "recruitments#editprofile"
      post "/createprofile", to: "recruitments#createprofile"
      patch "/updateprofile", to: "recruitments#updateprofile"
      get "/mydashboard", to: "recruitments#recruitment_dashboard"
      get "/addjob", to: "recruitments#addjob"
      get "/:id/editjob", to: "recruitments#editjob"
      post "/createjob", to: "recruitments#createjob"
      patch "/:id/updatejob", to: "recruitments#updatejob"
      get "/:id/markfilled", to: "recruitments#markfilled"
      get "/:id/unmarkfilled", to: "recruitments#unmarkfilled"
      delete "/:id/deletejob", to: "recruitments#deletejob"
      get "/advancedform", to: "recruitments#advancedform"
      get "/employee_academics", to: "recruitments#employee_academics"
      post "/create_academic", to: "recruitments#create_academic"
      get "/employee_portfolio", to: "recruitments#employee_portfolio"
      get "/:id/edit_employee_academic", to: "recruitments#edit_employee_academic"
      patch "/:id/update_academic", to: "recruitments#update_academic"
      get "/employee_experience", to: "recruitments#employee_experience"
      post "/create_experience", to: "recruitments#create_experience"
      patch "/:id/update_exmployee_experience", to: "recruitments#update_exmployee_experience"
      get "/:id/edit_employee_experience", to: "recruitments#edit_employee_experience"
      post "/applyjob", to: "recruitments#applyjob"
      get "/:id/job_applications", to: "recruitments#job_applications"
      get "/:id/archive_application", to: "recruitments#archive_application"
      get "/employee_recommendation", to: "recruitments#employee_recommendation"
      post "/employee_recommendation", to: "recruitments#employee_recommendation"
      get "/:id/write_recommendation", to: "recruitments#write_recommendation"
      post "create_recommendation", to: "recruitments#create_recommendation"
      get "create_recommendation", to: "recruitments#create_recommendation"
      delete "/:id/delete_employee_recommendation", to: "recruitments#delete_employee_recommendation"
      
      get "/addinternship", to: "recruitments#addinternship"
      get "/:id/editinternship", to: "recruitments#editinternship"

      get "/addexchange", to: "recruitments#addexchange"
      get "/:id/editexchange", to: "recruitments#editexchange"

      get "/account_settings", to: "recruitments#account_settings"
      post "/update_settings", to: "recruitments#update_settings"
      
    end
  end
end
