module Recruitment
  class Engine < ::Rails::Engine
    initializer "recruitment" do 
      OrbitApp.registration "Recruitment", :type => "ModuleApp" do
        module_label "recruitment.recruitment"
        base_url File.expand_path File.dirname(__FILE__)
        frontend_enabled
        data_count 1..30
        set_keyword_contstraints ["/recruit/"]
        side_bar do
          head_label_i18n 'recruitment.recruitment', icon_class: "icons-briefcase"
          available_for "managers"
          active_for_controllers (['admin/recruitments'])
          head_link_path "admin_recruitments_path"

          context_link 'recruitment.stats',
                :link_path=>"admin_recruitments_path" ,
                :priority=>1,
                :active_for_action=>{'admin/recruitments'=>"index"},
                :available_for => 'managers'

          context_link 'recruitment.members',
                :link_path=>"member_management_admin_recruitments_path" ,
                :priority=>1,
                :active_for_action=>{'admin/recruitments'=>"member_management"},
                :available_for => 'managers'

          context_link 'recruitment.postings',
                :link_path=>"postings_admin_recruitments_path" ,
                :priority=>1,
                :active_for_action=>{'admin/recruitments'=>"postings"},
                :available_for => 'managers'

          context_link 'recruitment.industries',
                :link_path=>"industries_admin_recruitments_path" ,
                :priority=>1,
                :active_for_action=>{'admin/recruitments'=>"industries"},
                :available_for => 'managers'
          context_link 'recruitment.categories',
                :link_path=>"categories_admin_recruitments_path" ,
                :priority=>1,
                :active_for_action=>{'admin/recruitments'=>"categories"},
                :available_for => 'managers'

        end
      end
    end
  end
end
